Subject: bug#66363: gdb-control-commands-regexp issues

From: Mattias Engdegård <[email-masked]>
Date: Fri, 6 Oct 2023 14:09:01 +0200

5 okt. 2023 kl. 20.52 skrev Eli Zaretskii <[email-masked]>:

> I'm okay with the changes in principle, but someone will have
> to test them by running all of the control commands and verifying they
> work after the fix, before this can be installed.  I myself won't have
> the time for doing that any time soon, sorry.

That's fine, I can wait. The bug only affects GDB users so I'm not personally inconvenienced.

Here's an improved version of the patch that also fixes another bug in the original code: the extra match against gdb-python-guile-commands-regexp is both incorrect (not anchored) and superfluous as that information is available in the match just made.

For instance, consider what happens if the command string is "stepping ...". It will match gdb-control-command-regexp and also gdb-python-guile-commands-regexp and set python-or-guile-p, despite not being a Python or Guile command, and  prevent gdb-control-level from being incremented.